POST /import/csv/projects/{project_id}/casting

Import project casting links from a CSV file. Links assets to shots, sequences, or episodes based on CSV rows.

Path parameters

  • project_id string(uuid) Required

Query parameters

  • update boolean

    Whether to update existing casting links

Responses

  • 201 application/json

    Casting links imported successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • entity_in_id string(uuid)
    • entity_out_id string(uuid)
    • nb_occurences integer
    • label string
  • 400

    Invalid CSV format or missing required columns

POST /import/csv/projects/{project_id}/casting
curl -X POST "http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting?update=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "update": false
}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/import/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting' \
 --header "Authorization: $API_KEY"
Response examples (201)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "entity_in_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "entity_out_id": "c24a6ea4-ce75-4665-a070-57453082c25",
    "nb_occurences": 1,
    "label": "fixed"
  }
]